StringDoubleHash Class Reference
Inheritance diagram for StringDoubleHash:
[legend]
Collaboration diagram for StringDoubleHash:
[legend]

## Public Member Functions

| StringDoubleHash (int startsize=32)
void | Grow ()
void | Shrink ()
void | SetSize (int newsize)
void | Clear ()
int | Capacity () const
int | Entries () const
double | Double (int i) const
double | Double (const String &key) const
void | SetDouble (int i, double value)
void | SetDouble (const String &key, double value)
int | Add (const String &s, double value)
int | Find (const String &s, double defaultValue)
int | Find (const String &s) const
StringDoubleHash & | operator= (const StringDoubleHash &rhs)
const String & | operator[] (int i) const
String & | operator[] (int i)
void | Delete (unsigned int index)
void | Delete (const String &key)
bool | SlotInUse (int index) const
Public Member Functions inherited from StringHashBase
void | setCaseSensitive (bool caseSensitive)

## Protected Attributes

String ** | strings
double * | doubles
unsigned int * | keys
unsigned int | count
unsigned int | size
unsigned int | mask
Protected Attributes inherited from StringHashBase
bool | myCaseSensitive

## Additional Inherited Members

Protected Member Functions inherited from StringHashBase
bool | stringsEqual (const String &string1, const String &string2) const
unsigned int | getKey (const String &string) const

## Detailed Description

Definition at line 309 of file StringHash.h.

The documentation for this class was generated from the following files:

- general/StringHash.h
- general/StringHash.cpp